// Project 5 – Experimenting with AND

#include <avr/io.h>
#include <util/delay.h>

#define TIME 50     // delay in milliseconds

int main(void)
{
    uint8_t i;         // 8-bit integer variable “i”
    DDRB = 0b11111111; // set PORTB register as outputs

    for(;;)
    {
        for (i = 0; i < 256; i++)
        {
            _delay_ms(TIME);
            PORTB = 0b11111111 & i; // displays value of i in binary using LEDs
        }
    }
    return 0;             
}
